A text description typically preceeding a UI component as a prompt

### Hierarchy

- CellValue
  - LabelCellValue

## Index

### Constructors

- constructor

### Properties

- style
- type
- value
- STYLE_HEADING1
- STYLE_HEADING2
- STYLE_HEADING3
- STYLE_HEADING4
- STYLE_INLINE_MEDIA
- STYLE_INLINE_MEDIA2

### Accessors

- isHeading1Style
- isHeading2Style
- isHeading3Style
- isHeading4Style
- isInlineMediaStyle

## Constructors

### constructor

- new LabelCellValue(style: any, value: string): LabelCellValue

- Overrides CellValue.constructor

  - Defined in models/LabelCellValue.ts:6

  #### Parameters

  - ##### style: any

  - ##### value: string

  #### Returns LabelCellValue

## Properties

### style

style: string

Inherited from CellValue.style

- Defined in models/CellValue.ts:11

### type

type: string

Inherited from CellValue.type

- Defined in models/CellValue.ts:9

### value

value: string

- Defined in models/LabelCellValue.ts:7

### Static STYLE_HEADING1

STYLE_HEADING1: string = "textHeading1"

Inherited from CellValue.STYLE_HEADING1

- Defined in models/CellValue.ts:2

### Static STYLE_HEADING2

STYLE_HEADING2: string = "textHeading2"

Inherited from CellValue.STYLE_HEADING2

- Defined in models/CellValue.ts:3

### Static STYLE_HEADING3

STYLE_HEADING3: string = "textHeading3"

Inherited from CellValue.STYLE_HEADING3

- Defined in models/CellValue.ts:4

### Static STYLE_HEADING4

STYLE_HEADING4: string = "textHeading4"

Inherited from CellValue.STYLE_HEADING4

- Defined in models/CellValue.ts:5

### Static STYLE_INLINE_MEDIA

STYLE_INLINE_MEDIA: string = "inlineMedia"

Inherited from CellValue.STYLE_INLINE_MEDIA

- Defined in models/CellValue.ts:6

### Static STYLE_INLINE_MEDIA2

STYLE_INLINE_MEDIA2: string = "Image/Video"

Inherited from CellValue.STYLE_INLINE_MEDIA2

- Defined in models/CellValue.ts:7

## Accessors

### isHeading1Style

- get isHeading1Style(): boolean

- Inherited from CellValue.isHeading1Style

  - Defined in models/CellValue.ts:13

  #### Returns boolean

### isHeading2Style

- get isHeading2Style(): boolean

- Inherited from CellValue.isHeading2Style

  - Defined in models/CellValue.ts:17

  #### Returns boolean

### isHeading3Style

- get isHeading3Style(): boolean

- Inherited from CellValue.isHeading3Style

  - Defined in models/CellValue.ts:21

  #### Returns boolean

### isHeading4Style

- get isHeading4Style(): boolean

- Inherited from CellValue.isHeading4Style

  - Defined in models/CellValue.ts:25

  #### Returns boolean

### isInlineMediaStyle

- get isInlineMediaStyle(): boolean

- Inherited from CellValue.isInlineMediaStyle

  - Defined in models/CellValue.ts:29

  #### Returns boolean

Generated using TypeDoc